Bug 2382 - XFree86 does not work with ISO 8859-2 keysyms
XFree86 does not work with ISO 8859-2 keysyms
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-04-27 09:36 EDT by Jan "Yenya" Kasprzak
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-06-17 10:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 1999-04-27 09:36:54 EDT
It is not possible to use ISO 8859-2 keys under
XFree86. At present, when you have LC_CTYPE set to
any ISO-8859-2 language (cs_CZ for example),
it is possible to type only letters (keysyms),
which are part of ISO 8859-2 and not ISO 8859-1
(such as ecaron, scaron, ccaron, rcaron etc) but not
the characters, which are included in both charsets.

This patch allows you to use the characters (keysyms)
from the ISO 8859-2 charset, which are also in
the upper half of the ISO 8859-1 charset (yacute,
aacute, iacute, eacute etc). This is a known bug
in X11, and it seems it remains unfixed even in
XFree86- and RedHat 6.0. :-(

We (Czech and Slovak users) have tried to report
this to XFree86, Inc., but we've got no response.
Maybe RedHat Software will be more successful
with pushing the fix up to the original source.

The patch is available at


The patch is simple one-liner, just add
" ISO8859-1:GR" at the end of line 70 (ct_encoding)
of /usr/X11R6/lib/X11/locale/iso8859-2/XLC_LOCALE.
Comment 1 Cristian Gafton 1999-04-30 12:11:59 EDT
Could you also spend two minutes and fix line for "czech" in
/usr/X11R6/lib/X11/locale/locale.alias? The alias should be
cs_CZ.ISO8859-2, not cs_CS.ISO8859-2. Czechoslovakia (CS)
was split to Czech Republic (CZ) and Slovakia (SK) in 1993...
Comment 2 Bill Nottingham 1999-06-17 10:53:59 EDT
Fixed in errata release XFree86-*-52.

Note You need to log in before you can comment on or make changes to this bug.